//
//  CLServer.h
//  NKDemo
//
//  Created by Darcy Liu on 8/25/12.
//  Copyright (c) 2012 Close To U. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <NewsstandKit/NewsstandKit.h>

static NSString *IssuesDidUpdateNotification = @"IssuesDidUpdate";
static NSString *IssuesFailedUpdateNotification = @"IssuesFailedUpdate";

@interface CLServer : NSObject{
    NSArray *issues;
}

- (NSInteger)numberOfIssues;
- (NSDictionary *)issueAtIndex:(NSInteger)index;
- (NSString *)titleOfIssueAtIndex:(NSInteger)index;
- (NSString *)nameOfIssueAtIndex:(NSInteger)index;
- (NSURL *)contentURLForIssueWithName:(NSString *)name;
- (NSString *)downloadPathForIssue:(NKIssue *)issue;
- (void)getIssuesList;
@end
